a simple patch, which i use to make show()/hide() faster.
(must now call hide_show_update() afterwards, however)

it just avoids calling redraw_lines() too often

diff -B -N -u3 --strip-trailing-cr -r fltk-1.1.7-cyg_ORIGINAL fltk-1.1.7-cyg_MODIFIED
--- fltk-1.1.7-cyg_ORIGINAL/FL/Fl_Browser.H
+++ fltk-1.1.7-cyg_MODIFIED/FL/Fl_Browser.H
@@ -94,6 +94,7 @@
   void show() {Fl_Widget::show();}
   void hide(int n);
   void hide() {Fl_Widget::hide();}
+  void hide_show_update();
   int visible(int n) const ;
 
   int value() const ;
--- fltk-1.1.7-cyg_ORIGINAL/src/Fl_Browser.cxx
+++ fltk-1.1.7-cyg_MODIFIED/src/Fl_Browser.cxx
@@ -472,7 +472,7 @@                    //in void Fl_Browser::show(int line) {
   if (t->flags & NOTDISPLAYED) {
     t->flags &= ~NOTDISPLAYED;
     full_height_ += item_height(t);
-    if (Fl_Browser_::displayed(t)) redraw_lines();
+    //if (Fl_Browser_::displayed(t)) redraw_lines();
   }
 }
 
@@ -481,10 +481,14 @@                  //in void Fl_Browser::hide(int line) {
   if (!(t->flags & NOTDISPLAYED)) {
     full_height_ -= item_height(t);
     t->flags |= NOTDISPLAYED;
-    if (Fl_Browser_::displayed(t)) redraw_lines();
+    //if (Fl_Browser_::displayed(t)) redraw_lines();
   }
 }
 
+void Fl_Browser::hide_show_update() {
+  redraw_lines();
+}
+
 void Fl_Browser::display(int line, int v) {
   if (line < 1 || line > lines) return;
   if (v) show(line); else hide(line);
